# Module settings
bueditor.settings:
  type: config_object
  label: 'BUEditor settings'
  mapping:
    devmode:
      type: boolean
      label: 'Enable development mode'

# BUEditor Editor entity
bueditor.editor.*:
  type: config_entity
  label: 'BUEditor Editor'
  mapping:
    id:
      type: string
      label: 'ID'
    label:
      type: label
      label: 'Name'
    description:
      type: label
      label: 'Description'
    settings:
      type: sequence
      label: 'Settings'
      sequence:
        - type: bueditor.editor_settings.[%key]
        
# Editor settings
bueditor.editor_settings.toolbar:
  type: sequence
  label: 'Toolbar'
  sequence:
    - type: string
      label: 'Toolbar item'

bueditor.editor_settings.cname:
  type: string
  label: 'Class name'

bueditor.editor_settings.indent:
  type: boolean
  label: 'Enable indentation'

bueditor.editor_settings.acTags:
  type: boolean
  label: 'Autocomplete HTML tags'

bueditor.editor_settings.fileBrowser:
  type: string
  label: 'File browser'

# BUEditor Button entity
bueditor.button.*:
  type: config_entity
  label: 'BUEditor Button'
  mapping:
    id:
      type: string
      label: 'ID'
    label:
      type: label
      label: 'Name'
    tooltip:
      type: label
      label: 'Tooltip'
    text:
      type: string
      label: 'Button text'
    cname:
      type: string
      label: 'Class name'
    shortcut:
      type: string
      label: 'Shortcut'
    code:
      type: string
      label: 'Code'
    template:
      type: string
      label: 'Template'
    libraries:
      type: sequence
      label: 'Required libraries'
      sequence:
        - type: string
          label: 'Library name'

# Editor module plugin
editor.settings.bueditor:
  type: mapping
  label: 'BUEditor settings'
  mapping:
    default_editor:
      type: string
      label: 'Default editor'
    roles_editors:
      type: sequence
      label: 'Roles editors'
      sequence:
        - type: string
          label: 'Role editor'